import request from '@/utils/request'

//获取单个站点的信息
export function getDzjkHomeView(siteId) {
  return request({
    url: `/ems/siteMonitor/homeView?siteId=${siteId}`,
    method: 'get'
  })
}

//获取pcs、实时运行头部的设备信息
export function getRunningHeadInfo(siteId) {
  return request({
    url: `/ems/siteMonitor/runningHeadInfo?siteId=${siteId}`,
    method: 'get'
  })
}
//获取pcs列表
export function getPcsDetailInfo(siteId) {
  return request({
    url: `/ems/siteMonitor/getPcsDetailInfo?siteId=${siteId}`,
    method: 'get'
  })
}

//获取BMS总览数据
export function getBMSOverView(siteId) {
  return request({
    url: `/ems/siteMonitor/getBMSOverView?siteId=${siteId}`,
    method: 'get'
  })
}

//获取BMS电池簇总览数据
export function getBMSBatteryCluster(siteId) {
  return request({
    url: `/ems/siteMonitor/getBMSBatteryCluster?siteId=${siteId}`,
    method: 'get'
  })
}

//获取单体电池 电池堆列表数据
export function getStackNameList(siteId) {
  return request({
    url: `/ems/siteMonitor/getStackNameList?siteId=${siteId}`,
    method: 'get'
  })
}
//获取单体电池 电池簇列表数据
export function getClusterNameList(stackDeviceId) {
  return request({
    url: `/ems/siteMonitor/getClusterNameList?stackDeviceId=${stackDeviceId}`,
    method: 'get'
  })
}

